<?php
session_start();





require_once('fpdf.php');
class PDF extends FPDF{
	function Header()
    { 

    }
    function Footer()
    {
        $this->SetY(15);
        $this->SetFont('Arial','I',12);
    }
   
}



$db_host = 'localhost';
$db_name = 'foncredi_ecofinal';
$db_user = 'foncredi_root';
$db_pass = 'coope2015foncredit';

$connect = new mysqli ($db_host, $db_user, $db_pass, $db_name);


$pdf = new PDF('P','mm','A4');
$pdf->SetMargins(12,12,12);
$pdf->SetAutoPageBreak(true,29);
$pdf->AddPage();

$id=$_POST['id'];
 $esult4=mysqli_query($connect, "SELECT `a`.`NumPedido`,`a`.`Fecha`,`a`.`NIT`,`a`.`TotalPagar`,`a`.`Estado`,`a`.`id_tienda`, `b`.`Nombre_comercial`,`b`.`Nombre_apellido`, d.NombreProd,d.Precio, c.CantidadProductos, c.CodigoProd, e.NombreCompleto, `b`.`ci_rif`, e.Apellido, 
    e.NIT, a.forma_pago, a.banco_emisor, a.nro_referencia, a.fecha_operacion_pago, a.Estado
    FROM `venta` a, tiendas_digitales b, detalle c, producto d, cliente e
    WHERE a.`id_tienda`=b.id and a.NumPedido=c.NumPedido and c.CodigoProd=d.CodigoProd and a.NumPedido='$id' and a.NIT=e.NIT");
$po='';
   while($row44 = mysqli_fetch_array($esult4)){     

     $Nombre_comercial = $row44['Nombre_comercial']; 
     $Nombre_apellido = $row44['Nombre_apellido']; 
     $ci_rif = $row44['ci_rif']; 
     $Fecha = $row44['Fecha'];
     $NombreCompleto = $row44['NombreCompleto']; 
     $Apellido = $row44['Apellido'];
     $NIT = $row44['NIT']; 
     $Estado = $row44['Estado']; 
     $forma_pago = $row44['forma_pago']; 
     $banco_emisor = $row44['banco_emisor']; 
     $nro_referencia = $row44['nro_referencia']; 
     $fecha_operacion_pago = $row44['fecha_operacion_pago']; 
}

$pdf->Image('logo-nav.png', 60, 10, 90, 40);


$pdf->SetFillColor(102,178,255);
$pdf->SetFont('Arial','B',8.4);
$pdf->SetXY(10, 45);
$pdf->Ln(5);
$pdf->SetFont('Arial','B',12);
$pdf->Cell(0,7,utf8_decode('COMPROBANTE DE PEDIDO Y PAGO DE COMPRA EN ECOMALL:'),'',1,'C');
 function zerofill ($num, $zerofill = 8){
 return str_pad($num, $zerofill, '0', STR_PAD_LEFT); }
$pdf->Ln(2);
$pdf->Cell(6,7,utf8_decode(''),'',0,'C');
$pdf->SetFont('Arial','B',16);
$pdf->Cell(175,10,strtoupper(utf8_decode('ESTADO DEL PEDIDO: '.$Estado.'')),'LTRB',1,'C');
$pdf->SetFont('Arial','B',10);
$pdf->Ln(3);


$pdf->Cell(0,7,'COMPROBANTE DE COMPRA NRO.: '.zerofill($id).'','',1,'C');
$pdf->Ln(2);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(0,7,'DETALLES DEL COMPRADOR Y VENDEDOR: ','',1,'L');
$pdf->Ln(2);
$pdf->SetFont('Arial','B',8.4);

$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(40.25,7,utf8_decode('FECHA DEL PEDIDO:'),'LTRB',0,'C',true);
$pdf->Cell(40.25,7,utf8_decode('CI/RIF TIENDA DIGITAL:'),'LTRB',0,'C',true);
$pdf->Cell(80.5,7,utf8_decode('DENOMINACIÓN TIENDA DIGITAL:'),'LTRB',0,'C',true);
$pdf->Ln(7);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(40.25,7,$Fecha,'LTRB',0,'C');
$pdf->Cell(40.25,7,$ci_rif,'LTRB',0,'C');
$pdf->Cell(80.5,7,strtoupper($Nombre_comercial),'LTRB',0,'C');

$pdf->Ln(7);

$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(80.5,7,utf8_decode('CI/RIF DEL COMPRADOR:'),'LTRB',0,'C',true);
$pdf->Cell(80.5,7,utf8_decode('NOMBRE DEL COMPRADOR:'),'LTRB',0,'C',true);
$pdf->Ln(7);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(80.5,7,strtoupper($NIT),'LTRB',0,'C');
$pdf->Cell(80.5,7,strtoupper($NombreCompleto.'  '.$Apellido),'LTRB',0,'C');


$pdf->Ln(12);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(0,7,'DETALLES DEL PAGO: ','',1,'L');
$pdf->Ln(2);
$pdf->SetFont('Arial','B',8.4);

$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(80.5,7,utf8_decode('FORMA DEL PAGO:'),'LTRB',0,'C',true);
$pdf->Cell(80.5,7,utf8_decode('BANCO EMISOR:'),'LTRB',0,'C',true);
$pdf->Ln(7);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(80.5,7,$forma_pago,'LTRB',0,'C');
$pdf->Cell(80.5,7,$banco_emisor,'LTRB',0,'C');
$pdf->Ln(7);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(80.5,7,utf8_decode('NRO. DE REFERENCIA:'),'LTRB',0,'C',true);
$pdf->Cell(80.5,7,utf8_decode('FECHA OPERACIÓN:'),'LTRB',0,'C',true);
$pdf->Ln(7);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(80.5,7,$nro_referencia,'LTRB',0,'C');
$pdf->Cell(80.5,7,$fecha_operacion_pago,'LTRB',0,'C');


$pdf->Ln(7);


$pdf->Ln(8);
$pdf->SetFont('Arial','B',10);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(0,7,'DETALLES DE LA COMPRA: ','',1,'L');
$pdf->Ln(1);
$pdf->SetFont('Arial','B',8.4);

$pdf->Cell(13,7,utf8_decode(''),'',0,'C');
$pdf->Cell(23,7,utf8_decode('COD. PROD.'),'LTRB',0,'C',true);
$pdf->Cell(83,7,utf8_decode('DENOMINACIÓN PRODUCTO'),'LTRB',0,'C',true);
$pdf->Cell(31.5,7,utf8_decode('CANTIDAD:'),'LTRB',0,'C',true);
$pdf->Cell(23,7,utf8_decode('MONTO:'),'LTRB',0,'C',true);

$pdf->Ln(7);

$id=$_POST['id'];
   $esult4=mysqli_query($connect, "SELECT `a`.`NumPedido`,`a`.`Fecha`,`a`.`NIT`,`a`.`TotalPagar`,`a`.`Estado`,`a`.`id_tienda`, `b`.`Nombre_comercial`, d.NombreProd,d.Precio, c.CantidadProductos, c.CodigoProd
    FROM `venta` a, tiendas_digitales b, detalle c, producto d
    WHERE a.`id_tienda`=b.id and a.NumPedido=c.NumPedido and c.CodigoProd=d.CodigoProd and a.NumPedido='$id'");


$totall='';
   while($row44 = mysqli_fetch_array($esult4)){     

     $CodigoProd = $row44['CodigoProd']; 
     $NombreProd = $row44['NombreProd']; 
     $CantidadProductos = $row44['CantidadProductos'];
     $Precio = $row44['Precio']; 

$pdf->Cell(13,7,utf8_decode(''),'',0,'C');    
$pdf->Cell(23,7,$CodigoProd,'LTRB',0,'C');
$pdf->Cell(83,7,strtoupper($NombreProd),'LTRB',0,'C');
$pdf->Cell(31.5,7,$CantidadProductos,'LTRB',0,'C');
$pdf->Cell(23,7,number_format($CantidadProductos*$Precio,2, ',', '.'),'LTRB',1,'C');
$totall+=$CantidadProductos*$Precio;
}

$pdf->Ln(4);
$pdf->Cell(13,7,utf8_decode(''),'',0,'C');    
$pdf->Cell(23,7,'','',0,'C');
$pdf->Cell(83,7,'','',0,'C');
$pdf->Cell(31.5,7,'TOTAL:','',0,'C');
$pdf->Cell(23,7,$totall,'LTRB',0,'C');


mysqli_close($connect);


$pdf->Output('Comprobante_Nro_'.$id.'_.pdf','D');
?>